Enable custom operator

Enable a custom operator so that it can be used for subsequent workflow configuration and test runs.

HTTP
POST $CLOUDSIGMA_API_BASE/workflow/v2/custom-operators/$OPERATOR_ID/enable

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

First query custom operator details to confirm the operator to be enabled.

Request

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/workflow/v2/custom-operators/$OPERATOR_ID/enable" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Request parameters

Successful response

The response returns the updated operator configuration. After confirming that the operator has been enabled, you can trial run the custom operator.

The response fields are as follows.

JSON
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "id": 123,
    "node_id": "moi:custom.operator:workspace:text_counter",
    "name": "文本计数",
    "enabled": true
  }
}
FieldTypeDescription
codestringOK on success.
msgstringOK on success.
data.idintegerCustom operator ID.
data.node_idstringOperator ID.
data.namestringOperator name.
data.identifierstringOperator ID.
data.descriptionstringOperator description; returned if there is a value.
data.handlerstringProcessing function; returned when there is a value.
data.versionstringOperator version; returned if there is a value.
data.isolation_levelstringIsolation configuration; returned if there is a value.
data.languageintegerImplements the numerical encoding of the language; returns if there is a value.
data.kindintegerNumeric encoding of the operator type; returned if there is a value.
data.source_file_idstringSource file ID; returned when created using a source file.
data.input_schemastringEnter the defined serialization content; return if there is a value.
data.output_schemastringOutput the defined serialized content; return if there is a value.
data.binding_configstringThe serialized content of the binding configuration; returned if there is a value.
data.created_bystringCreator ID; returned if there is a value.
data.updated_bystringLast updater ID; returned if there is a value.
data.created_atintegerCreation timestamp; returned if there is a value.
data.updated_atintegerLast updated timestamp; returned if there is a value.
data.base_node_idstringThe basic operator associated with the built-in binding type; returned when there is a value.
data.base_node_versionstringThe basic operator version associated with the built-in binding type; returned when there is a value.
data.catalog_idintegerThe associated Catalog ID; returned if there is a value.
data.database_idintegerThe associated database ID; returned if there is a value.
data.enabledbooleanEnabled status.

Error response

JSON
{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
FieldTypeDescription
codestringError code.
msgstringReadable error message.
datanull`null` in an error response.

Follow-up operations

After completion Query custom operator details confirms the current status.

Last updated on